unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Algemeen, Wiskunde;

type
  TForm1 = class(TForm)
    Image1: TImage;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure vrachtwagen(O,V,A : vektor);
const
  B : double = 5;
  c : double = 2;
var
  x,y,L : double;
begin
{
  Zeecontainer
}
  with Form1.Image1.Canvas do
    Pen.Width := 2;
  x := O.x + V.x; y := O.y + V.y;
  y := y + B/2; x := x + c;
  L := lengte(min(V,A));
  with Form1.Image1.Canvas do
    MoveTo(x2i(x),y2j(y));
  x := x - L - 2*c;
  with Form1.Image1.Canvas do
    LineTo(x2i(x),y2j(y));
  y := y - B;
  with Form1.Image1.Canvas do
    LineTo(x2i(x),y2j(y));
  x := x + L + 2*c;
  with Form1.Image1.Canvas do
    LineTo(x2i(x),y2j(y));
  y := y + B;
  with Form1.Image1.Canvas do
    LineTo(x2i(x),y2j(y));
end;

procedure tekenen;
const
  Ru : double = 25;
  Ri : double = 22;
  mp : double = 30;
var
  k : integer;
  dh,x,y : double;
begin
  ClearDevice(Form1.Image1);
{
  Baan voorwielen
}
  with Form1.Image1.Canvas do
    Pen.Width := 1;
  x := mp + Ru;
  y := mp;
  with Form1.Image1.Canvas do
    Pen.Color := clGreen;
  with Form1.Image1.Canvas do
    MoveTo(x2i(x),y2j(y));
  dh := Pi/180;
  for k := 0 to 360 do
  begin
    x := mp + Ru*cos(k*dh);
    y := mp + Ru*sin(k*dh);
    with Form1.Image1.Canvas do
      LineTo(x2i(x),y2j(y));
  end;
{
  Baan achterwielen
}
  with Form1.Image1.Canvas do
    Pen.Color := clRed;
  x := mp + Ri;
  y := mp;
  with Form1.Image1.Canvas do
    MoveTo(x2i(x),y2j(y));
  dh := Pi/180;
  for k := 0 to 360 do
  begin
    x := mp + Ri*cos(k*dh);
    y := mp + Ri*sin(k*dh);
    with Form1.Image1.Canvas do
      LineTo(x2i(x),y2j(y));
  end;
{
  Pythagoras driehoek
}
  with Form1.Image1.Canvas do
    Pen.Color := clBlack;
  with Form1.Image1.Canvas do
    MoveTo(x2i(mp),y2j(mp));
  x := mp; y := mp + Ri;
  with Form1.Image1.Canvas do
    LineTo(x2i(x),y2j(y));
  x := mp + sqrt(sqr(Ru)-sqr(Ri));
  y := mp + sqrt(sqr(Ru)-sqr(x-mp));
  with Form1.Image1.Canvas do
    LineTo(x2i(x),y2j(y));
  with Form1.Image1.Canvas do
    LineTo(x2i(mp),y2j(mp));

  Vrachtwagen(samen(mp,mp),
              samen(sqrt(sqr(Ru)-sqr(Ri)),sqrt(sqr(Ru)-sqr(x-mp))),
              samen(0,Ri));
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
  tekenen;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Sx := 60; Sy := 60;
end;

end.
