unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Algemeen, Wiskunde;

type
  TForm1 = class(TForm)
    Image1: TImage;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

function uitkomst(t : double) : vektor;
const
  L :double = 0.5;
  R : double = 1;
  U : double = 1;
var
  x_A,y_A,x_S,H,C,W,E : double;
begin
  H := sqr(L)/R;
  W := sqrt(sqr(L)-sqr(H));
  C := (1-W/L)/(1+W/L);
  E := exp(-2*U/L*t);
  x_S := U*t+W;
  x_A := x_S-L*(1-C*E)/(1+C*E);
  y_A := 2*sqr(L)*L/R*sqrt(E)/(L+W+E*L-E*W);
  uitkomst := samen(x_A,y_A);
end;

procedure tekenen;
var
  k : integer;
  dt : double;
  p : vektor;
begin
  Sx := 3; Sy := 1/4;
  ClearDevice(form1.Image1);
  dt := 0.1;
  p := uitkomst(0);
  Form1.Image1.Canvas.MoveTo(x2i(p.x),y2j(p.y));
  for k := 1 to 100 do
  begin
    p := uitkomst(k*dt);
    Form1.Image1.Canvas.LineTo(x2i(p.x),y2j(p.y));
  end;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
  tekenen;
end;

end.
